<?php
/**
 * TicketBoardApiTest
 * PHP version 7.3
 *
 * @category Class
 * @package  SLIS\Adapter\Tanss
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * TANSS API
 *
 * ## Documentation of the TANSS API. Version: 5.8.22.1  ### older versions Older versions of the API documentation can be found here: * [Docs for 5.8.21.6](https://api-doc.tanss.de/5.8.21.6/) * [Docs for 5.8.21.3](https://api-doc.tanss.de/5.8.21.3/) * [Docs for 5.8.21.1](https://api-doc.tanss.de/5.8.21.1/) * [Docs for 5.8.20.5](https://api-doc.tanss.de/5.8.20.5/) * [Docs for 5.8.20.4](https://api-doc.tanss.de/5.8.20.4/) * [Docs for 5.8.20.2](https://api-doc.tanss.de/5.8.20.2/) * [Docs for 5.8.19.3](https://api-doc.tanss.de/5.8.19.3/)
 *
 * The version of the OpenAPI document: 5.8.22.1
 * Contact: support@tanss.de
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 6.0.0-SNAPSHOT
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace SLIS\Adapter\Tanss\Test\Api;

use \SLIS\Adapter\Tanss\Configuration;
use \SLIS\Adapter\Tanss\ApiException;
use \SLIS\Adapter\Tanss\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * TicketBoardApiTest Class Doc Comment
 *
 * @category Class
 * @package  SLIS\Adapter\Tanss
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class TicketBoardApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass(): void
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp(): void
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown(): void
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass(): void
    {
    }

    /**
     * Test case for apiV1TicketBoardGet
     *
     * Gets the ticket board with all panels.
     *
     */
    public function testApiV1TicketBoardGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TicketBoardPanelGet
     *
     * Gets an empty ticket board panel.
     *
     */
    public function testApiV1TicketBoardPanelGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TicketBoardPanelIdDelete
     *
     * Deletes a ticket board panel.
     *
     */
    public function testApiV1TicketBoardPanelIdDelete()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TicketBoardPanelIdGet
     *
     * Gets a ticket board panel.
     *
     */
    public function testApiV1TicketBoardPanelIdGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TicketBoardPanelIdRegistersGet
     *
     * Gets all registers from a ticket board panel.
     *
     */
    public function testApiV1TicketBoardPanelIdRegistersGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TicketBoardPanelPost
     *
     * Creates a new ticket board panel.
     *
     */
    public function testApiV1TicketBoardPanelPost()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TicketBoardPanelPut
     *
     * Updates a ticket board panel.
     *
     */
    public function testApiV1TicketBoardPanelPut()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TicketBoardProjectGlobalPanelsGet
     *
     * Get global ticket panels.
     *
     */
    public function testApiV1TicketBoardProjectGlobalPanelsGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TicketBoardProjectIdGet
     *
     * Gets a ticket board from a project.
     *
     */
    public function testApiV1TicketBoardProjectIdGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TicketBoardProjectIdRegistersGet
     *
     * Gets all registers from a ticket board project.
     *
     */
    public function testApiV1TicketBoardProjectIdRegistersGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }
}
